commit b757d380e6eaf0b694fcaf3d9c8ea4cf9c9aca5b
Author: Milan Horínek <horinek@milanfon.cz>
Date:   Sat May 13 21:09:02 2023 +0200

    Výsledky fungují

diff --git a/workdir/Asociace/Assembly-CSharp-Editor.csproj b/workdir/Asociace/Assembly-CSharp-Editor.csproj
index 8c5eed1a7..4496ec17b 100644
--- a/workdir/Asociace/Assembly-CSharp-Editor.csproj
+++ b/workdir/Asociace/Assembly-CSharp-Editor.csproj
@@ -789,9 +789,6 @@
       <Name>Assembly-CSharp</Name>
     </ProjectReference>
   </ItemGroup>
-  <ItemGroup>
-    <None Include="Assets\Resources\Testing\NewFile.txt" />
-  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <Target Name="GenerateTargetFrameworkMonikerAttribute" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
diff --git a/workdir/Asociace/Assets/Scenes/Init.unity b/workdir/Asociace/Assets/Scenes/Init.unity
index 506f1a4d3..a90d294ae 100644
--- a/workdir/Asociace/Assets/Scenes/Init.unity
+++ b/workdir/Asociace/Assets/Scenes/Init.unity
@@ -43,7 +43,7 @@ RenderSettings:
 --- !u!157 &3
 LightmapSettings:
   m_ObjectHideFlags: 0
-  serializedVersion: 11
+  serializedVersion: 12
   m_GIWorkflowMode: 1
   m_GISettings:
     serializedVersion: 2
@@ -54,7 +54,7 @@ LightmapSettings:
     m_EnableBakedLightmaps: 0
     m_EnableRealtimeLightmaps: 0
   m_LightmapEditorSettings:
-    serializedVersion: 10
+    serializedVersion: 12
     m_Resolution: 2
     m_BakeResolution: 40
     m_AtlasSize: 1024
@@ -62,6 +62,7 @@ LightmapSettings:
     m_AOMaxDistance: 1
     m_CompAOExponent: 1
     m_CompAOExponentDirect: 0
+    m_ExtractAmbientOcclusion: 0
     m_Padding: 2
     m_LightmapParameters: {fileID: 0}
     m_LightmapsBakeMode: 1
@@ -76,10 +77,16 @@ LightmapSettings:
     m_PVRDirectSampleCount: 32
     m_PVRSampleCount: 500
     m_PVRBounces: 2
+    m_PVREnvironmentSampleCount: 500
+    m_PVREnvironmentReferencePointCount: 2048
+    m_PVRFilteringMode: 2
+    m_PVRDenoiserTypeDirect: 0
+    m_PVRDenoiserTypeIndirect: 0
+    m_PVRDenoiserTypeAO: 0
     m_PVRFilterTypeDirect: 0
     m_PVRFilterTypeIndirect: 0
     m_PVRFilterTypeAO: 0
-    m_PVRFilteringMode: 2
+    m_PVREnvironmentMIS: 0
     m_PVRCulling: 1
     m_PVRFilteringGaussRadiusDirect: 1
     m_PVRFilteringGaussRadiusIndirect: 5
@@ -87,9 +94,11 @@ LightmapSettings:
     m_PVRFilteringAtrousPositionSigmaDirect: 0.5
     m_PVRFilteringAtrousPositionSigmaIndirect: 2
     m_PVRFilteringAtrousPositionSigmaAO: 1
-    m_ShowResolutionOverlay: 1
+    m_ExportTrainingData: 0
+    m_TrainingDataDestination: TrainingData
+    m_LightProbeSampleCountMultiplier: 4
   m_LightingDataAsset: {fileID: 0}
-  m_UseShadowmask: 1
+  m_LightingSettings: {fileID: 1533994606}
 --- !u!196 &4
 NavMeshSettings:
   serializedVersion: 2
@@ -109,6 +118,8 @@ NavMeshSettings:
     manualTileSize: 0
     tileSize: 256
     accuratePlacement: 0
+    maxJobWorkers: 0
+    preserveTilesOutsideBounds: 0
     debug:
       m_Flags: 0
   m_NavMeshData: {fileID: 0}
@@ -140,6 +151,7 @@ Transform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 0}
   m_RootOrder: 10
@@ -157,19 +169,13 @@ MonoBehaviour:
   m_Name: 
   m_EditorClassIdentifier: 
   skipRound:
-    <Cs>k__BackingField: {fileID: 8300000, guid: 1423cefae6aae4745b876e0a760003a8,
-      type: 3}
-    <En>k__BackingField: {fileID: 8300000, guid: 0f8ea2a7047a9a2438e4fa14361e399d,
-      type: 3}
-    <De>k__BackingField: {fileID: 8300000, guid: 0dcc124484191a749a9c19ee07ecb80f,
-      type: 3}
+    <Cs>k__BackingField: {fileID: 8300000, guid: 1423cefae6aae4745b876e0a760003a8, type: 3}
+    <En>k__BackingField: {fileID: 8300000, guid: 0f8ea2a7047a9a2438e4fa14361e399d, type: 3}
+    <De>k__BackingField: {fileID: 8300000, guid: 0dcc124484191a749a9c19ee07ecb80f, type: 3}
   endTask:
-    <Cs>k__BackingField: {fileID: 8300000, guid: bbd376657978d7342b14f33dbd68d72f,
-      type: 3}
-    <En>k__BackingField: {fileID: 8300000, guid: 87c864e81c5219142914b557ce470dcb,
-      type: 3}
-    <De>k__BackingField: {fileID: 8300000, guid: 5505cac5ddb51e646a8d9ce84de58455,
-      type: 3}
+    <Cs>k__BackingField: {fileID: 8300000, guid: bbd376657978d7342b14f33dbd68d72f, type: 3}
+    <En>k__BackingField: {fileID: 8300000, guid: 87c864e81c5219142914b557ce470dcb, type: 3}
+    <De>k__BackingField: {fileID: 8300000, guid: 5505cac5ddb51e646a8d9ce84de58455, type: 3}
 --- !u!82 &20043585
 AudioSource:
   m_ObjectHideFlags: 0
@@ -307,6 +313,7 @@ Transform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 0}
   m_RootOrder: 5
@@ -340,8 +347,7 @@ MonoBehaviour:
   m_Script: {fileID: 11500000, guid: 65e47103fbf343746a99f37fcbded822, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
-  <TestConfiguration>k__BackingField: {fileID: 4900000, guid: 2f5efdda217e0954c8ad7970216d463c,
-    type: 3}
+  <TestConfiguration>k__BackingField: {fileID: 4900000, guid: be2eb83cb20254faea08beac0a2d349a, type: 3}
 --- !u!4 &282004596
 Transform:
   m_ObjectHideFlags: 0
@@ -352,6 +358,7 @@ Transform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 0}
   m_RootOrder: 2
@@ -383,6 +390,7 @@ Transform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 0}
   m_RootOrder: 1
@@ -426,6 +434,7 @@ Transform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 0}
   m_RootOrder: 7
@@ -442,7 +451,7 @@ MonoBehaviour:
   m_Script: {fileID: 11500000, guid: 4d1e7a44f76f9114382e9d2f75474b8b, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
-  Functions:
+  functions:
     m_PersistentCalls:
       m_Calls: []
 --- !u!1 &703247575
@@ -472,6 +481,7 @@ Transform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 0}
   m_RootOrder: 3
@@ -532,6 +542,7 @@ Transform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 0}
   m_RootOrder: 8
@@ -674,6 +685,7 @@ Transform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 0}
   m_RootOrder: 9
@@ -720,6 +732,7 @@ Transform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 0}
   m_RootOrder: 0
@@ -765,8 +778,7 @@ MonoBehaviour:
   m_Script: {fileID: 11500000, guid: 02413006c7c94914abf52f065f3d7c62, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
-  prefabASO: {fileID: 2924071191554230291, guid: 28a05ac70e8380c4da4dd0bd3e2f1493,
-    type: 3}
+  prefabASO: {fileID: 2924071191554230291, guid: 28a05ac70e8380c4da4dd0bd3e2f1493, type: 3}
 --- !u!4 &1352077769
 Transform:
   m_ObjectHideFlags: 0
@@ -777,10 +789,73 @@ Transform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 0}
   m_RootOrder: 4
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
+--- !u!850595691 &1533994606
+LightingSettings:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_Name: Settings.lighting
+  serializedVersion: 4
+  m_GIWorkflowMode: 1
+  m_EnableBakedLightmaps: 0
+  m_EnableRealtimeLightmaps: 0
+  m_RealtimeEnvironmentLighting: 1
+  m_BounceScale: 1
+  m_AlbedoBoost: 1
+  m_IndirectOutputScale: 1
+  m_UsingShadowmask: 1
+  m_BakeBackend: 1
+  m_LightmapMaxSize: 1024
+  m_BakeResolution: 40
+  m_Padding: 2
+  m_LightmapCompression: 3
+  m_AO: 0
+  m_AOMaxDistance: 1
+  m_CompAOExponent: 1
+  m_CompAOExponentDirect: 0
+  m_ExtractAO: 0
+  m_MixedBakeMode: 2
+  m_LightmapsBakeMode: 1
+  m_FilterMode: 1
+  m_LightmapParameters: {fileID: 15204, guid: 0000000000000000f000000000000000, type: 0}
+  m_ExportTrainingData: 0
+  m_TrainingDataDestination: TrainingData
+  m_RealtimeResolution: 2
+  m_ForceWhiteAlbedo: 0
+  m_ForceUpdates: 0
+  m_FinalGather: 0
+  m_FinalGatherRayCount: 256
+  m_FinalGatherFiltering: 1
+  m_PVRCulling: 1
+  m_PVRSampling: 1
+  m_PVRDirectSampleCount: 32
+  m_PVRSampleCount: 500
+  m_PVREnvironmentSampleCount: 500
+  m_PVREnvironmentReferencePointCount: 2048
+  m_LightProbeSampleCountMultiplier: 4
+  m_PVRBounces: 2
+  m_PVRMinBounces: 2
+  m_PVREnvironmentMIS: 0
+  m_PVRFilteringMode: 2
+  m_PVRDenoiserTypeDirect: 0
+  m_PVRDenoiserTypeIndirect: 0
+  m_PVRDenoiserTypeAO: 0
+  m_PVRFilterTypeDirect: 0
+  m_PVRFilterTypeIndirect: 0
+  m_PVRFilterTypeAO: 0
+  m_PVRFilteringGaussRadiusDirect: 1
+  m_PVRFilteringGaussRadiusIndirect: 5
+  m_PVRFilteringGaussRadiusAO: 2
+  m_PVRFilteringAtrousPositionSigmaDirect: 0.5
+  m_PVRFilteringAtrousPositionSigmaIndirect: 2
+  m_PVRFilteringAtrousPositionSigmaAO: 1
+  m_PVRTiledBaking: 0
 --- !u!1 &1930689831
 GameObject:
   m_ObjectHideFlags: 0
@@ -820,6 +895,7 @@ Transform:
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
+  m_ConstrainProportionsScale: 0
   m_Children: []
   m_Father: {fileID: 0}
   m_RootOrder: 6
diff --git a/workdir/Asociace/Assets/Scripts/DDOL_Singletons/IO/UnityToWeb.cs b/workdir/Asociace/Assets/Scripts/DDOL_Singletons/IO/UnityToWeb.cs
index bca8c8848..cd90fa4ee 100644
--- a/workdir/Asociace/Assets/Scripts/DDOL_Singletons/IO/UnityToWeb.cs
+++ b/workdir/Asociace/Assets/Scripts/DDOL_Singletons/IO/UnityToWeb.cs
@@ -171,6 +171,7 @@ namespace DDOL_Singletons.IO
             else // Unity editor (during development skip the JavaScript component).
             {
                 Debug.Log("[UnityToWeb] Sending results.");
+                Debug.Log(results);
             }
         }
         
diff --git a/workdir/Asociace/Assets/Scripts/_Template/OutputData/DataCollector.cs b/workdir/Asociace/Assets/Scripts/_Template/OutputData/DataCollector.cs
index 7340b29c8..60222fa2c 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/OutputData/DataCollector.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/OutputData/DataCollector.cs
@@ -49,9 +49,6 @@ namespace Data.Output
         /// </summary>
         private ClickIdPair currentCovering;
 
-        public int correct;
-        public int incorrect;
-
         private DataCollector()
         {
             gameResults = TaskResults.Instance;
@@ -59,23 +56,14 @@ namespace Data.Output
             actionId = 1;
             currentCovering = null;
             currentPairIndex = 0;
-            correct = 0;
-            incorrect = 0;
         }
 
         public void SetCorrect(bool c)
         {
             if (c)
-                correct++;
+                currentRound.correct++;
             else
-                incorrect++;
-            UpdateSuccessRate();
-        }
-
-        public void SetFullIncorrect()
-        {
-            incorrect += 6;
-            UpdateSuccessRate();
+                currentRound.incorrect++;
         }
 
         /// <summary>
@@ -97,6 +85,7 @@ namespace Data.Output
             {
                 stampOfTotalTime = startTime
             };
+            
             gameResults.rounds.Add(currentRound);
         }
         
@@ -126,7 +115,7 @@ namespace Data.Output
         /// <param name="time">Current total time.</param>
         public void SetRoundTotalTime(float time)
         {
-            currentRound.totalTime = CalcDuration(currentRound.stampOfTotalTime, time);
+            currentRound.roundTime = CalcDuration(currentRound.stampOfTotalTime, time);
         }
 
         private static float CalcDuration(float startTime, float endTime) => endTime - startTime;
@@ -140,7 +129,7 @@ namespace Data.Output
             {
                 RoundCompleted(RealTime.GameTime, false);
             }
-            if (currentRound.totalTime < 0)
+            if (currentRound.roundTime < 0)
             {
                 SetRoundTotalTime(RealTime.TotalTime);
             }
@@ -158,13 +147,6 @@ namespace Data.Output
 
         public float GetSuccessRate() => gameResults.successRate;
 
-        public void UpdateSuccessRate()
-        {
-            int fullOptionsCount = GetCurrentRound().RoundPairs.Count * Constants.OPTION_COUNT;
-            float incorrectRate = ((float) incorrect) / fullOptionsCount;
-            SetSuccessRate(1 - incorrectRate);
-        }
-
         public RoundData GetCurrentRound()
         {
             return Task.Configuration.Rounds[DataCollector.Round];
diff --git a/workdir/Asociace/Assets/Scripts/_Template/OutputData/RoundResults.cs b/workdir/Asociace/Assets/Scripts/_Template/OutputData/RoundResults.cs
index 9d1e4a18f..8069f0037 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/OutputData/RoundResults.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/OutputData/RoundResults.cs
@@ -3,6 +3,9 @@ using System.Collections.Generic;
 using Newtonsoft.Json;
 using Tools;
 using DDOL_Singletons.Settings;
+using Ui.MainCameras;
+using UnityEngine;
+using Data.Input;
 
 namespace Data.Output
 {
@@ -18,7 +21,7 @@ namespace Data.Output
             /// <summary>
             /// See the parameter labeled "roundTime".
             /// </summary>
-            public float totalTime;
+            public float roundTime;
 
             /// <summary>
             /// See the parameter labeled "playedTime".
@@ -68,9 +71,19 @@ namespace Data.Output
 
             public string startTime;
 
+            public bool finished;
+
+            public bool succesfully;
+
+            public int correct;
+
+            public int incorrect;
+
+            public string FinalClickId { get; set; }
+
             public RoundResults()
             {
-                totalTime = -1;
+                roundTime = -1;
                 playedTime = -1;
                 successRate = 0;
                 helpUsed = false;
@@ -108,26 +121,19 @@ namespace Data.Output
             /// </summary>
             public override string ToString()
             {
+                //TaskMainCamera main = Camera.main.GetComponent<TaskMainCamera>();
                 // Web application cannot handle empty parameters => use "null" or similar string instead of empty string.
-                return totalTime + Constants.MAIN_SEPARATOR +
-                    successRate + Constants.MAIN_SEPARATOR +
-                    startTime + Constants.MAIN_SEPARATOR +
-                    totalTime + Constants.MAIN_SEPARATOR +
-                    Locale.GetCode() + Constants.MAIN_SEPARATOR +
+                return roundTime + Constants.MAIN_SEPARATOR +
+                    playedTime + Constants.MAIN_SEPARATOR +
+                    Convert.ToInt32(finished) + Constants.MAIN_SEPARATOR +
+                    Convert.ToInt32(succesfully) + Constants.MAIN_SEPARATOR +
+                    correct + Constants.MAIN_SEPARATOR +
+                    incorrect + Constants.MAIN_SEPARATOR +
+                    (FinalClickId ?? Constants.NULL) + Constants.MAIN_SEPARATOR +
+                    Convert.ToInt32(helpUsed) + Constants.MAIN_SEPARATOR +
+                    (helpClick ?? Constants.NULL) + Constants.MAIN_SEPARATOR +
                     Convert.ToInt32(roundSkipped) + Constants.MAIN_SEPARATOR +
-                    skipClick + Constants.MAIN_SEPARATOR +
-                    JsonConvert.SerializeObject(coveringTaskScene) + Constants.MAIN_SEPARATOR +
-                    
-                    (UserSettingsController.Instance.CollectClickInformation ? JsonConvert.SerializeObject(clickContainer) : Constants.JSON_EMPTY_LIST) + Constants.MAIN_SEPARATOR +
-                    (UserSettingsController.Instance.CollectKeystrokeInformation ? JsonConvert.SerializeObject(keystrokeContainer) : Constants.JSON_EMPTY_LIST) + Constants.MAIN_SEPARATOR +
-
-                    // --- EXTENDING PARAMETERS ---
-                    Constants.NULL + Constants.MAIN_SEPARATOR +
-                    Constants.NULL + Constants.MAIN_SEPARATOR +
-                    Constants.JSON_EMPTY_LIST + Constants.MAIN_SEPARATOR +
-                    Constants.JSON_EMPTY_LIST + Constants.MAIN_SEPARATOR +
-                    Constants.JSON_EMPTY_LIST + /*Constants.MAIN_SEPARATOR +*/Constants.ROUND_DATA_AND_QUESTION_SEPARATOR;
-                    // ----------------------------
+                    Constants.NULL + Constants.MAIN_SEPARATOR;
             }
         }
     }
diff --git a/workdir/Asociace/Assets/Scripts/_Template/OutputData/TaskResults.cs b/workdir/Asociace/Assets/Scripts/_Template/OutputData/TaskResults.cs
index 1b3cf12aa..221926e38 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/OutputData/TaskResults.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/OutputData/TaskResults.cs
@@ -59,6 +59,13 @@ namespace Data.Output
             /// </summary>
             public List<RoundResults> rounds;
 
+            /// <summary>
+            /// See the parameter labeled "totalTime".
+            /// </summary>
+            public float totalTime;
+
+            public string startTime;
+
             /// <summary>
             /// Results of the rounds. The string must be created only once! The <see cref="ToString"/> function is called
             /// multiple times, but at this point the data of the rounds are still the same.
@@ -110,27 +117,13 @@ namespace Data.Output
                 }
                 
                 // Web application cannot handle empty parameters => use "null" or similar string instead of empty string.
-                return RealTime.TotalTime + Constants.MAIN_SEPARATOR +
+                return totalTime + Constants.MAIN_SEPARATOR +
                     successRate + Constants.MAIN_SEPARATOR +
-                    serverStartTime + Constants.MAIN_SEPARATOR +
-                    RealTime.GameTime + Constants.MAIN_SEPARATOR +
-                    userRating + Constants.MAIN_SEPARATOR +
-                    Task.Configuration.Seed + Constants.MAIN_SEPARATOR +
+                    startTime + Constants.MAIN_SEPARATOR +
+                    totalTime + Constants.MAIN_SEPARATOR +
                     Locale.GetCode() + Constants.MAIN_SEPARATOR +
-                    Task.Configuration.NumOfRounds + Constants.MAIN_SEPARATOR + // This value is in the input parameters, but it can be useful to have it in the results.
-                    clickToEndTask + Constants.MAIN_SEPARATOR +
-                    transformChangesOfTaskScene + Constants.MAIN_SEPARATOR +
-                    JsonConvert.SerializeObject(fullScreenChanges) + Constants.MAIN_SEPARATOR +
-                    JsonConvert.SerializeObject(narrowingChanges) + Constants.MAIN_SEPARATOR +
-
-                    // --- EXTENDING PARAMETERS ---
-                    Constants.NULL + Constants.MAIN_SEPARATOR +
-                    Constants.NULL + Constants.MAIN_SEPARATOR +
-                    Constants.JSON_EMPTY_LIST + Constants.MAIN_SEPARATOR +
-                    Constants.JSON_EMPTY_LIST + Constants.MAIN_SEPARATOR +
-                    Constants.JSON_EMPTY_LIST + Constants.MAIN_SEPARATOR +
-                    // ----------------------------
-                    
+                    // Tady je ještě serializace komponent, ale ty se změnili
+                    Task.Configuration.NumOfRounds + Constants.MAIN_SEPARATOR + 
                     dataOfRounds;
             }
         }
diff --git a/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs b/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
index 4dd6ce39b..5b4f1773c 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
@@ -133,11 +133,7 @@ namespace Ui.MainCameras
         private void StartNextRoundCountdown()
         {
             DataCollector.Instance.NewRound(RealTime.TotalTime);
-
-            //timeBar.NextRound();
-
             trafficLight.gameObject.SetActive(true);
-
             string titleText = string.Format(ConfigFiles.Inputs.NextRound.ToString(), (DataCollector.Round + 1).ToString(), Task.Configuration.NumOfRounds.ToString());
             TaskStrings.SetTaskTitleText(titleText);
         }
@@ -147,9 +143,6 @@ namespace Ui.MainCameras
         /// </summary>
         public void CountdownComplete()
         {
-            // TODO
-
-            
             TaskStrings.SetTaskTitleText(ConfigFiles.Inputs.TitleGameRound.ToString());
             TaskStrings.SetContinueButtonText(ConfigFiles.Inputs.Skip.ToString());
 
@@ -158,7 +151,6 @@ namespace Ui.MainCameras
             DataCollector.Instance.SetStartOfGameTime(RealTime.GameTime);
 
             LearningPhase(true);
-            //ExaminingPhase(true);
         }
 
         /// <summary>
@@ -502,7 +494,11 @@ namespace Ui.MainCameras
                 if (DataCollector.LastRound)
                     ShowResults(false);
                 else
+                {
+                    timeBar.SetMode(TimeBarMode.NONE);
+                    timeBar.End();
                     StartNextRoundCountdown();
+                }
             }
         }
 
